package WEB-INF.classes.wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmRecApplnMtnAddDtlBean extends BaseDetailBean implements Serializable {
  private String permPhone;
  
  private String permPin;
  
  private String permAddress;
  
  private String permCity;
  
  private String permState;
  
  private String permCountry;
  
  private String presPhone;
  
  private String presPin;
  
  private String presAddress;
  
  private String presCity;
  
  private String presState;
  
  private String presCountry;
  
  private String permStateId;
  
  private String presStateId;
  
  private String presCountryId;
  
  private String permCountryId;
  
  private String motherToungueId;
  
  private String nationalityId;
  
  private String maritalStatusId;
  
  private String reservationCategoryId;
  
  private String guardianName;
  
  private String motherTongue;
  
  private String dateOfBirth;
  
  private String nationality;
  
  private String maritalStatus;
  
  private String sex;
  
  private String mail;
  
  private String reservationCategory;
  
  private String appliedEarlier;
  
  private String handicappedFlag;
  
  private String motherToungueCode;
  
  private String nationalityCode;
  
  private String passportNo;
  
  private String placeOfIssue;
  
  private String expiryDate;
  
  private String issueDate;
  
  private String chequeNo;
  
  private String submittedAmount;
  
  private String submissionDate;
  
  private String arrestedBefore;
  
  private String imprisonedBefore;
  
  private String prosecutedBefore;
  
  private String finedByCourt;
  
  private String placeOfBirth;
  
  private String maritalStatusDesc;
  
  private String relatedEmpId;
  
  private String relatedToEmp;
  
  private String relatedEmpName;
  
  private String healthRecord;
  
  private String religion;
  
  private String religionId;
  
  private String bloodGroup;
  
  private String prevEmpFlag;
  
  private String prevEmpDtls;
  
  private String hobbies;
  
  private String grossExpected;
  
  private String addlInfo;
  
  private String reasons;
  
  public String getPassportNo() {
    return this.passportNo;
  }
  
  public void setPassportNo(String newPassportNo) {
    this.passportNo = newPassportNo;
  }
  
  public String getPlaceOfIssue() {
    return this.placeOfIssue;
  }
  
  public void setPlaceOfIssue(String newPlaceOfIssue) {
    this.placeOfIssue = newPlaceOfIssue;
  }
  
  public String getExpiryDate() {
    return this.expiryDate;
  }
  
  public void setExpiryDate(String newExpiryDate) {
    this.expiryDate = newExpiryDate;
  }
  
  public String getIssueDate() {
    return this.issueDate;
  }
  
  public void setIssueDate(String newIssueDate) {
    this.issueDate = newIssueDate;
  }
  
  public String getChequeNo() {
    return this.chequeNo;
  }
  
  public void setChequeNo(String newChequeNo) {
    this.chequeNo = newChequeNo;
  }
  
  public String getSubmittedAmount() {
    return this.submittedAmount;
  }
  
  public void setSubmittedAmount(String newSubmittedAmount) {
    this.submittedAmount = newSubmittedAmount;
  }
  
  public String getSubmissionDate() {
    return this.submissionDate;
  }
  
  public void setSubmissionDate(String newSubmissionDate) {
    this.submissionDate = newSubmissionDate;
  }
  
  public String getArrestedBefore() {
    return this.arrestedBefore;
  }
  
  public void setArrestedBefore(String newArrestedBefore) {
    this.arrestedBefore = newArrestedBefore;
  }
  
  public String getImprisonedBefore() {
    return this.imprisonedBefore;
  }
  
  public void setImprisonedBefore(String newImprisonedBefore) {
    this.imprisonedBefore = newImprisonedBefore;
  }
  
  public String getProsecutedBefore() {
    return this.prosecutedBefore;
  }
  
  public void setProsecutedBefore(String newProsecutedBefore) {
    this.prosecutedBefore = newProsecutedBefore;
  }
  
  public String getFinedByCourt() {
    return this.finedByCourt;
  }
  
  public void setFinedByCourt(String newFinedByCourt) {
    this.finedByCourt = newFinedByCourt;
  }
  
  public String getMotherToungueId() {
    return this.motherToungueId;
  }
  
  public void setMotherToungueId(String newMotherToungueId) {
    this.motherToungueId = newMotherToungueId;
  }
  
  public String getNationalityId() {
    return this.nationalityId;
  }
  
  public void setNationalityId(String newNationalityId) {
    this.nationalityId = newNationalityId;
  }
  
  public String getMaritalStatusId() {
    return this.maritalStatusId;
  }
  
  public void setMaritalStatusId(String newMaritalStatusId) {
    this.maritalStatusId = newMaritalStatusId;
  }
  
  public String getReservationCategoryId() {
    return this.reservationCategoryId;
  }
  
  public void setReservationCategoryId(String newReservationCategoryId) {
    this.reservationCategoryId = newReservationCategoryId;
  }
  
  public String getGuardianName() {
    return this.guardianName;
  }
  
  public void setGuardianName(String newGuardianName) {
    this.guardianName = newGuardianName;
  }
  
  public String getMotherTongue() {
    return this.motherTongue;
  }
  
  public void setMotherTongue(String newMotherTongue) {
    this.motherTongue = newMotherTongue;
  }
  
  public String getDateOfBirth() {
    return this.dateOfBirth;
  }
  
  public void setDateOfBirth(String newDateOfBirth) {
    this.dateOfBirth = newDateOfBirth;
  }
  
  public String getNationality() {
    return this.nationality;
  }
  
  public void setNationality(String newNationality) {
    this.nationality = newNationality;
  }
  
  public String getMaritalStatus() {
    return this.maritalStatus;
  }
  
  public void setMaritalStatus(String newMaritalStatus) {
    this.maritalStatus = newMaritalStatus;
  }
  
  public String getSex() {
    return this.sex;
  }
  
  public void setSex(String newSex) {
    this.sex = newSex;
  }
  
  public String getMail() {
    return this.mail;
  }
  
  public void setMail(String newMail) {
    this.mail = newMail;
  }
  
  public String getReservationCategory() {
    return this.reservationCategory;
  }
  
  public void setReservationCategory(String newReservationCategory) {
    this.reservationCategory = newReservationCategory;
  }
  
  public String getAppliedEarlier() {
    return this.appliedEarlier;
  }
  
  public void setAppliedEarlier(String newAppliedEarlier) {
    this.appliedEarlier = newAppliedEarlier;
  }
  
  public String getHandicappedFlag() {
    return this.handicappedFlag;
  }
  
  public void setHandicappedFlag(String newHandicappedFlag) {
    this.handicappedFlag = newHandicappedFlag;
  }
  
  public String getMotherToungueCode() {
    return this.motherToungueCode;
  }
  
  public void setMotherToungueCode(String newMotherToungueCode) {
    this.motherToungueCode = newMotherToungueCode;
  }
  
  public String getNationalityCode() {
    return this.nationalityCode;
  }
  
  public void setNationalityCode(String newNationalityCode) {
    this.nationalityCode = newNationalityCode;
  }
  
  public String getPermPhone() {
    return this.permPhone;
  }
  
  public void setPermPhone(String newPermPhone) {
    this.permPhone = newPermPhone;
  }
  
  public String getPermPin() {
    return this.permPin;
  }
  
  public void setPermPin(String newPermPin) {
    this.permPin = newPermPin;
  }
  
  public String getPermAddress() {
    return this.permAddress;
  }
  
  public void setPermAddress(String newPermAddress) {
    this.permAddress = newPermAddress;
  }
  
  public String getPermCity() {
    return this.permCity;
  }
  
  public void setPermCity(String newPermCity) {
    this.permCity = newPermCity;
  }
  
  public String getPermState() {
    return this.permState;
  }
  
  public void setPermState(String newPermState) {
    this.permState = newPermState;
  }
  
  public String getPermCountry() {
    return this.permCountry;
  }
  
  public void setPermCountry(String newPermCountry) {
    this.permCountry = newPermCountry;
  }
  
  public String getPresPhone() {
    return this.presPhone;
  }
  
  public void setPresPhone(String newPresPhone) {
    this.presPhone = newPresPhone;
  }
  
  public String getPresPin() {
    return this.presPin;
  }
  
  public void setPresPin(String newPresPin) {
    this.presPin = newPresPin;
  }
  
  public String getPresAddress() {
    return this.presAddress;
  }
  
  public void setPresAddress(String newPresAddress) {
    this.presAddress = newPresAddress;
  }
  
  public String getPresCity() {
    return this.presCity;
  }
  
  public void setPresCity(String newPresCity) {
    this.presCity = newPresCity;
  }
  
  public String getPresState() {
    return this.presState;
  }
  
  public void setPresState(String newPresState) {
    this.presState = newPresState;
  }
  
  public String getPresCountry() {
    return this.presCountry;
  }
  
  public void setPresCountry(String newPresCountry) {
    this.presCountry = newPresCountry;
  }
  
  public String getPermStateId() {
    return this.permStateId;
  }
  
  public void setPermStateId(String newPermStateId) {
    this.permStateId = newPermStateId;
  }
  
  public String getPresStateId() {
    return this.presStateId;
  }
  
  public void setPresStateId(String newPresStateId) {
    this.presStateId = newPresStateId;
  }
  
  public String getPresCountryId() {
    return this.presCountryId;
  }
  
  public void setPresCountryId(String newPresCountryId) {
    this.presCountryId = newPresCountryId;
  }
  
  public String getPermCountryId() {
    return this.permCountryId;
  }
  
  public void setPermCountryId(String newPermCountryId) {
    this.permCountryId = newPermCountryId;
  }
  
  public String getPlaceOfBirth() {
    return this.placeOfBirth;
  }
  
  public void setPlaceOfBirth(String newPlaceOfBirth) {
    this.placeOfBirth = newPlaceOfBirth;
  }
  
  public String getMaritalStatusDesc() {
    return this.maritalStatusDesc;
  }
  
  public void setMaritalStatusDesc(String newMaritalStatusDesc) {
    this.maritalStatusDesc = newMaritalStatusDesc;
  }
  
  public String getRelatedEmpId() {
    return this.relatedEmpId;
  }
  
  public void setRelatedEmpId(String newRelatedEmpId) {
    this.relatedEmpId = newRelatedEmpId;
  }
  
  public String getRelatedToEmp() {
    return this.relatedToEmp;
  }
  
  public void setRelatedToEmp(String newRelatedToEmp) {
    this.relatedToEmp = newRelatedToEmp;
  }
  
  public String getRelatedEmpName() {
    return this.relatedEmpName;
  }
  
  public void setRelatedEmpName(String newRelatedEmpName) {
    this.relatedEmpName = newRelatedEmpName;
  }
  
  public String getHealthRecord() {
    return this.healthRecord;
  }
  
  public void setHealthRecord(String newHealthRecord) {
    this.healthRecord = newHealthRecord;
  }
  
  public String getReligion() {
    return this.religion;
  }
  
  public void setReligion(String newReligion) {
    this.religion = newReligion;
  }
  
  public String getReligionId() {
    return this.religionId;
  }
  
  public void setReligionId(String newReligionId) {
    this.religionId = newReligionId;
  }
  
  public String getBloodGroup() {
    return this.bloodGroup;
  }
  
  public void setBloodGroup(String newBloodGroup) {
    this.bloodGroup = newBloodGroup;
  }
  
  public String getPrevEmpFlag() {
    return this.prevEmpFlag;
  }
  
  public void setPrevEmpFlag(String newPrevEmpFlag) {
    this.prevEmpFlag = newPrevEmpFlag;
  }
  
  public String getPrevEmpDtls() {
    return this.prevEmpDtls;
  }
  
  public void setPrevEmpDtls(String newPrevEmpDtls) {
    this.prevEmpDtls = newPrevEmpDtls;
  }
  
  public String getHobbies() {
    return this.hobbies;
  }
  
  public void setHobbies(String newHobbies) {
    this.hobbies = newHobbies;
  }
  
  public String getGrossExpected() {
    return this.grossExpected;
  }
  
  public void setGrossExpected(String newGrossExpected) {
    this.grossExpected = newGrossExpected;
  }
  
  public String getAddlInfo() {
    return this.addlInfo;
  }
  
  public void setAddlInfo(String newAddlInfo) {
    this.addlInfo = newAddlInfo;
  }
  
  public String getReasons() {
    return this.reasons;
  }
  
  public void setReasons(String newReasons) {
    this.reasons = newReasons;
  }
}
